<template lang="pug">
  div()
    BlogList(:documents="articles")/
</template>

<script>
import {mapState} from 'vuex'

export default {
  name:     'PageBlog',
  nuxtI18n: {
    'ru': '/',
  },
  async fetch({params, store: {dispatch, getters}}) {
    await dispatch('getArticles', params)
  },
  computed: {
    ...mapState({
      articles: (state) => state.articles.data,
    })
  },
  head() {
    const i18nHead = this.$nuxtI18nHead({addSeoAttributes: true})

    return {
      title:     this.pageTitle(this.$i18n.t('name'), this.$i18n.t('description')),
      htmlAttrs: {
        ...i18nHead.htmlAttrs
      },
      meta:      [
        {
          hid:     'description',
          name:    'description',
          content: this.$i18n.t('description')
        },
        {
          hid:      'og:title',
          name:     "og:title",
          property: "og:title",
          content:  this.pageTitle(this.$i18n.t('name'), this.$i18n.t('description'))
        },
        {
          hid:      'og:description',
          name:     "og:description",
          property: "og:description",
          content:  this.$i18n.t('description')
        },
      ],
      link:      [...i18nHead.link],
    }
  },
}
</script>

<style scoped>

</style>
